function gpu_ram_add(mode) {
	var name = $("#name").val();
	//alert(name);

	if (mode == 'insert')
	{
		$.ajax({
			url: 'index_admin_gpu_ram_add_ajax_v2.php',
			type: 'POST',
			dataType: 'html',
			data: {
				s: $('#s').text(),
				name: name,
				action:'ajax'
			},
			success:function(data)
			{
				if(data)
				{
					if (data == "fail_name_already_exists")
					{
						alert("'"+name+"'은 이미 등록되어 있는 GPU RAM입니다.");
					}
					else if (data == "fail")
					{
						alert("서버 오류가 발생하였습니다.\n반복되는 경우 관리자에게 신고하여 주십시오.");
					}
					else
					{
						alert("목록에 추가 하였습니다.");
						location.reload(true);
					}
					console.log(data);
				}
			}
		});
	}

}

function gpu_ram_update(no,mode) {
	var list_data = $("#gpu_ram_list_data").val();
	//alert(no + " " + mode + " " + list_data);

	if (mode == 'update')
	{
		$.ajax({
			url: 'index_admin_gpu_ram_update_ajax_v2.php',
			type: 'POST',
			dataType: 'html',
			data: {
				s: $('#s').text(),
				no: no,
				list_data: list_data,
				action:'ajax'
			},
			success:function(data)
			{
				if(data)
				{
					if (data == "success")
					{
						alert("적용 되었습니다.");
					}
					else if (data == "fail")
					{
						alert("서버 오류가 발생하였습니다.\n반복되는 경우 관리자에게 신고하여 주십시오.");
					}
					else
					{
						alert("서버 오류가 발생하였습니다.\n반복되는 경우 관리자에게 신고하여 주십시오.");
					}
					console.log(data);
				}
			}
		});
	}

}


function gpu_ram_last_get_data(no,storeid,memid) {
	$.ajax({
		url: 'index_admin_gpu_ram_last_get_data_ajax_v2.php',
		type: 'POST',
		dataType: 'html',
		data: {
			s: $('#s').text(),
			no: no,
			storeid: storeid,
			memid: memid,
			action:'ajax'
		},
		success:function(data)
		{
			if(data)
			{
				var get_data_arr = data.split("Œ");
				var list_data = "";
				$('input:checkbox[name="gpu_ram_list_checkbox"]').each(function() {
					if (jQuery.inArray($(this).val(), get_data_arr) >= 0)
					{
						$(this).prop("checked", true);
						list_data = list_data + $(this).val() + "Œ";
					} else {
						$(this).prop("checked", false);
					}
				});
				$("#gpu_ram_list_data").val(list_data);
				alert("직전 선택사항을 적용하겠습니다.");
			} else {
				alert("[알림] 직전 선택사항이 존재하지 않습니다.");
			}
		}
	});
}

$(document).ready(function() {
	$("#gpu_ram_list_checkbox_All").click(function() {
		if($("#gpu_ram_list_checkbox_All").is(":checked")) $("input[name=gpu_ram_list_checkbox]").prop("checked", true);
		else $("input[name=gpu_ram_list_checkbox]").prop("checked", false);
		gpu_ram_list_checkbox_datas();
	});
	$("input:checkbox[name=gpu_ram_list_checkbox]").click(function() {
		var total = $("input[name=gpu_ram_list_checkbox]").length;
		var checked = $("input[name=gpu_ram_list_checkbox]:checked").length;

		if(total != checked) $("#gpu_ram_list_checkbox_All").prop("checked", false);
		else $("#gpu_ram_list_checkbox_All").prop("checked", true);
		gpu_ram_list_checkbox_datas();
	});
});

function gpu_ram_list_checkbox_datas() {
	var data = "";
	$('input:checkbox[name="gpu_ram_list_checkbox"]').each(function() {
		if (this.checked == true)
		{
			data = data + $(this).val() + "Œ";
		}
	});
	$("#gpu_ram_list_data").val(data);
}
